package com.hzs.system.config.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.system.config.BdBonusItems;
import com.hzs.common.domain.system.config.ext.BdBonusItemsExt;

import java.util.List;

/**
 * 奖项配置 服务类
 */
public interface IBdBonusItemsService extends IService<BdBonusItems> {

    /**
     * 生成奖项配置
     **/
    boolean generate(BdBonusItems bonusItems);

    /**
     * 根据国家查询奖项配置列表
     **/
    List<BdBonusItemsExt> queryBonusItems(Integer pkCountry);

    /**
     * 根据国家查询奖项配置列表
     **/
    List<BdBonusItemsExt> queryCalBonusItems(Integer pkCountry);

    /**
     * 查询奖金项
     *
     * @param bonusValueList 奖金值
     */
    List<BdBonusItems> queryBonusItemsByValue(List<Integer> bonusValueList);

    /**
     * 查询奖金项
     *
     * @param pkCountry    国家
     * @param pkBonusItems 奖金项
     */
    BdBonusItems queryBonusItems(Integer pkCountry, Integer pkBonusItems);

}
